<?php

namespace Supportingcast\Shortcodes;

class Scheme extends Template
{
	protected $wrap = false;

	public function render()
	{
		$device = $this->params['device'];
	    ?>
        <li class="<?= $this->params['data']->app ?> <?= $device ?>-only">

                <div class="scheme">
                    <div>
                        <a class="stop-prop" href="<?= $this->params['data']->url ?>">
                            <img src="<?= $this->params['data']->image_url ?>">
                        </a>
                    </div>
                    <div>
                        <a class="stop-prop" href="<?= $this->params['data']->url ?>">
                            <?= $this->params['data']->name ?>
                        </a>
						<?php if (isset($this->params['data']->notes->$device)): ?>
                            <div class="tip"><?= $this->params['data']->notes->$device ?></div>
						<?php endif ?>
                    </div>
                </div>
        </li>
		<?php
	}
}